
<div *ngIf="shoppingList$ | async as shoppingList" class="shopping-list">
    <button mat-button color="primary" (click)="calculatePrices(shoppingList)">Calcular precios</button>
    <ng-container *ngFor="let group of shoppingList | keyvalue">

        <div class="shopping-list-group" *ngIf="group.value?.length">
            <h1>{{ 'diets.macro.'+group.key | translate }} <span>({{group.value.length}})</span></h1>
            
            <div *ngFor="let product of group.value" class="shopping-list-item">
                <div class="wrap-image"
                [style.backgroundImage]="'url('+ product.item.image +')'"></div>

                <div class="food-info">
                    <h2>{{product.item.name }}</h2>
                    <span>{{ product.mass }} {{ product.item.macros.massUnit }} </span>
                </div>

                <div class="price-info">
                    <div *ngIf="product.item.price?.isLoading" class="loading-price" >Cargando precio..</div>
                    <div *ngIf="!product.item.price?.isLoading && product.item.price?.hasError" class="error-price" >Error leyendo el precio</div>
                    <ng-container *ngIf="!product.item.price?.isLoading && !product.item.price?.hasError">
                        <span *ngIf="product.item.price?.previous_price" class="previous-price">{{ product.item.price.previous_price }}€</span>
                        <span class="unit-price"> {{ product.item.price?.unit_price || '-'}}€ / ud.</span>
                    </ng-container>
                </div>
            </div>
        </div>
    
    </ng-container>
</div>

<div class="shopping-bill">

</div>